DLOPEN-NOTES.PY(1)

NAME
dlopen-notes.py

SYNOPSIS
dlopen-notes.py [-r] [-s] [-f [FEATURE1,FEATURE2]] [-h] filename [filename ...]

DESCRIPTION
Read .note.dlopen notes from ELF files and report the contents.

ELF binaries store link-time dependencies in their headers, which can be parsed by various tools. There is no machine-readable metadata about dependencies loaded at build time via dlopen(3) available by default. The ELF Dlopen Metadata specification aims to fill this gap by defining a common format. See https://systemd.io/ELF_DLOPEN_METADATA/.

This tool allows parsing such a note, and printing out the result in various formats.

filename
    Library file to extract notes from

OPTIONS

-r, --raw
    Show the original JSON extracted from input files

-s, --sonames
    List all sonames and their priorities, one soname per line

-f [FEATURE1,FEATURE2], --features [FEATURE1,FEATURE2]
    Describe features, can be specified multiple times

COMMENTS
If no option is specifed, --raw is the default.